com.mysql.cj

## Interface Session.SessionEventListener

Enclosing interface:
  Session

    public static interface Session.SessionEventListener

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `handleCleanup(Throwable whyCleanedUp)`
`void` `handleNormalClose()`
`void` `handleReconnect()`

### Method Detail

#### handleNormalClose

    void handleNormalClose()

#### handleReconnect

    void handleReconnect()

#### handleCleanup

    void handleCleanup(Throwable whyCleanedUp)

Copyright © 2016, 2025, Oracle and/or its affiliates.